Python novaclient writing to homedir

Bug #960684 reported by justinsb on 2012-03-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Dashboard (Horizon)
High
Kiall Mac Innes

Bug Description

It looks like python novaclient is trying to write a completion_cache to the homedir. This seems very likely to cause problems in a web environment like horizon's.

...
[Tue Mar 20 15:44:48 2012] [error] self.usage.summarize(*self.usage.get_date_range())
[Tue Mar 20 15:44:48 2012] [error] File "/opt/openstack/horizon/openstack_dashboard/wsgi/../../horizon/usage/base.py", line 94, in summarize
[Tue Mar 20 15:44:48 2012] [error] _('Unable to retrieve usage information.'))
[Tue Mar 20 15:44:48 2012] [error] File "/opt/openstack/horizon/openstack_dashboard/wsgi/../../horizon/usage/base.py", line 91, in summarize
[Tue Mar 20 15:44:48 2012] [error] self.usage_list = self.get_usage_list(start, end)
[Tue Mar 20 15:44:48 2012] [error] File "/opt/openstack/horizon/openstack_dashboard/wsgi/../../horizon/usage/base.py", line 114, in get_usage_list
[Tue Mar 20 15:44:48 2012] [error] return api.usage_list(self.request, start, end)
[Tue Mar 20 15:44:48 2012] [error] File "/opt/openstack/horizon/openstack_dashboard/wsgi/../../horizon/api/nova.py", line 398, in usage_list
[Tue Mar 20 15:44:48 2012] [error] return [Usage(u) for u in novaclient(request).usage.list(start, end, True)]
[Tue Mar 20 15:44:48 2012] [error] File "/opt/openstack/python-novaclient/novaclient/v1_1/usage.py", line 35, in list
[Tue Mar 20 15:44:48 2012] [error] "tenant_usages")
[Tue Mar 20 15:44:48 2012] [error] File "/opt/openstack/python-novaclient/novaclient/base.py", line 85, in _list
[Tue Mar 20 15:44:48 2012] [error] with self.completion_cache('human_id', obj_class, mode="w"):
[Tue Mar 20 15:44:48 2012] [error] File "/usr/lib/python2.7/contextlib.py", line 17, in __enter__
[Tue Mar 20 15:44:48 2012] [error] return self.gen.next()
[Tue Mar 20 15:44:48 2012] [error] File "/opt/openstack/python-novaclient/novaclient/base.py", line 115, in completion_cache
[Tue Mar 20 15:44:48 2012] [error] os.makedirs(cache_dir, 0755)
[Tue Mar 20 15:44:48 2012] [error] File "/usr/lib/python2.7/os.py", line 150, in makedirs
[Tue Mar 20 15:44:48 2012] [error] makedirs(head, mode)
[Tue Mar 20 15:44:48 2012] [error] File "/usr/lib/python2.7/os.py", line 157, in makedirs
[Tue Mar 20 15:44:48 2012] [error] mkdir(name, mode)
[Tue Mar 20 15:44:48 2012] [error] OSError: [Errno 13] Permission denied: '/var/openstack/webui/.novaclient'
[Tue Mar 20 15:44:48 2012] [error] WARNING:django.request:Not Found: /favicon.ico
[Tue Mar 20 15:44:49 2012] [error] WARNING:django.request:Not Found: /favicon.ico

Devin Carlen (devcamcar) wrote :

Fixed with this review in novaclient: https://review.openstack.org/#change,5608

Changed in horizon:
status: New → Fix Committed
importance: Undecided → High
assignee: nobody → Kiall Mac Innes (kiall)
tags: added: essex-rc-potential
Devin Carlen (devcamcar) on 2012-03-22
Changed in horizon:
milestone: none → essex-rc2
Devin Carlen (devcamcar) on 2012-03-22
tags: removed: essex-rc-potential
Thierry Carrez (ttx) on 2012-04-03
Changed in horizon:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in horizon:
milestone: essex-rc2 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers